diff -Naur bind9-9.8.4.dfsg.P1/debian/patches/accept_duplicate_singleton_records.patch ../bind9-9.8.4.dfsg.P1/debian/patches/accept_duplicate_singleton_records.patch
--- bind9-9.8.4.dfsg.P1/debian/patches/accept_duplicate_singleton_records.patch	1970-01-01 01:00:00.000000000 +0100
+++ ../bind9-9.8.4.dfsg.P1/debian/patches/accept_duplicate_singleton_records.patch	2013-09-12 16:28:51.000000000 +0200
@@ -0,0 +1,22 @@
+Index: bind9-9.8.4.dfsg.P1/lib/dns/message.c
+===================================================================
+--- bind9-9.8.4.dfsg.P1.orig/lib/dns/message.c	2013-09-12 16:06:38.000000000 +0200
++++ bind9-9.8.4.dfsg.P1/lib/dns/message.c	2013-09-12 16:06:52.000000000 +0200
+@@ -1441,8 +1441,15 @@
+ 		 * the opcode is an update, or the type search is skipped.
+ 		 */
+ 		if (result == ISC_R_SUCCESS) {
+-			if (dns_rdatatype_issingleton(rdtype))
+-				DO_FORMERR;
++			if (dns_rdatatype_issingleton(rdtype)) {
++				dns_rdata_t *first;
++				dns_rdatalist_fromrdataset(rdataset,
++							   &rdatalist);
++				first = ISC_LIST_HEAD(rdatalist->rdata);
++				INSIST(first != NULL);
++				if (dns_rdata_compare(rdata, first) != 0)
++					DO_FORMERR;
++			}
+ 		}
+ 
+ 		if (result == ISC_R_NOTFOUND) {
diff -Naur bind9-9.8.4.dfsg.P1/debian/patches/series ../bind9-9.8.4.dfsg.P1/debian/patches/series
--- bind9-9.8.4.dfsg.P1/debian/patches/series	1970-01-01 01:00:00.000000000 +0100
+++ ../bind9-9.8.4.dfsg.P1/debian/patches/series	2013-09-12 16:28:51.000000000 +0200
@@ -0,0 +1 @@
+accept_duplicate_singleton_records.patch
